Hi @ngnam1988,
With this code it should work, but since it is not updated I think we have found a bug in the API here.
Dim p As PartDocument = ThisDoc.Document
Dim td As Inventor.ModelAnnotation
For Each td In p.ComponentDefinition.ModelAnnotations
If td.Type = ObjectTypeEnum.kModelLeaderNoteObject Then
Dim ml As ModelLeaderNote
ml = td
MsgBox(ml.Definition.Text.WidthScale)
Dim mld As ModelLeaderNoteDefinition = ml.Definition
mld.Text.WidthScale = 2
MsgBox(mld.Text.WidthScale)
mld.Text.WidthScale = 3
MsgBox(mld.Text.WidthScale)
mld.Text.WidthScale = 4
MsgBox (mld.Text.WidthScale)
End If
Next
@johnsonshiue could you and your team take a look at this and maybe confirm that the above is the case.
Please see the attached video where I change the WidthScale from 1 to 2 to 3 to 4 and it does not update.
Regards,
Regards,
Arthur Knoors
Autodesk Affiliations:
Autodesk Software:Inventor Professional 2024 | Vault Professional 2022 | Autocad Mechanical 2022
Programming Skills:Vba | Vb.net (Add ins Vault / Inventor, Applications) | I-logic
Programming Examples:Drawing List!|Toggle Drawing Sheet!|Workplane Resize!|Drawing View Locker!|Multi Sheet to Mono Sheet!|Drawing Weld Symbols!|Drawing View Label Align!|Open From Balloon!|Model State Lock!
Posts and Ideas:Dimension Component!|Partlist Export!|Derive I-properties!|Vault Prompts Via API!|Vault Handbook/Manual!|Drawing Toggle Sheets!|Vault Defer Update!
! For administrative reasons, please mark a "Solution as solved" when the issue is solved !
Hi @bradeneuropeArthur
Thanks!
I'm working with this Code but nothing changed, what's wrong here? Could you please help me,
Dim oDOC As PartDocument = ThisApplication.ActiveDocument
oDOC.ActiveAnnotationsStandard = "DIN"
Dim TextFormatted As String =
"<StyleOverride Font='ISOCPEUR' FontSize='0.275'>Title: </StyleOverride>" &
"<StyleOverride Font='ISOCPEUR' FontSize='0.275' Bold='True'><Property Document='Model' FormatID='{F29F85E0-4FF9-1068-AB91-08002B27B3D9}' PropertyID='2'>TITLE</Property></StyleOverride><br/>" &
Dim oDefinition As ModelGeneralNoteDefinition = oDOC.ComponentDefinition.ModelAnnotations.ModelGeneralNotes.CreateDefinition(TextFormatted, True, ScreenQuadrantEnum.kLowerRightQuadrant)
Call oDOC.ComponentDefinition.ModelAnnotations.ModelGeneralNotes.Add(oDefinition)
oDefinition.Text.WidthScale = 0.7
MsgBox(oDefinition.Text.WidthScale)
Dim oModelAnnotations As ModelAnnotations = oDOC.ComponentDefinition.ModelAnnotations
Dim oMGN As ModelGeneralNote = oModelAnnotations.ModelGeneralNotes.Item(1)
Dim oMGNDefinition As ModelGeneralNoteDefinition = oMGN.Definition
oMGNDefinition.Text.WidthScale = 0.7
MsgBox(oMGNDefinition.Text.WidthScale)
oMGN.Name = "GeneralNote"
Regards,
Arthur Knoors
Autodesk Affiliations:
Autodesk Software:Inventor Professional 2024 | Vault Professional 2022 | Autocad Mechanical 2022
Programming Skills:Vba | Vb.net (Add ins Vault / Inventor, Applications) | I-logic
Programming Examples:Drawing List!|Toggle Drawing Sheet!|Workplane Resize!|Drawing View Locker!|Multi Sheet to Mono Sheet!|Drawing Weld Symbols!|Drawing View Label Align!|Open From Balloon!|Model State Lock!
Posts and Ideas:Dimension Component!|Partlist Export!|Derive I-properties!|Vault Prompts Via API!|Vault Handbook/Manual!|Drawing Toggle Sheets!|Vault Defer Update!
! For administrative reasons, please mark a "Solution as solved" when the issue is solved !
Can't find what you're looking for? Ask the community or share your knowledge.